# Docker

## Install

<pre><code>apt-get update
apt-get install docker.io</code></pre>

### Install Portainer

<pre><code>docker volume create portainer_data
docker run -d -p 8000:8000 -p 9443:9443 --name portainer --restart=always -v /var/run/docker.sock:/var/run/docker.sock -v portainer_data:/data portainer/portainer-ce:2.9.3</code></pre>

## Cheat sheet

### Stop all containers

```docker stop $(docker ps -aq)```

### Remove all containers

```docker rm $(docker ps -aq)```

### Remove all images

```docker rmi $(docker images -q)```
 
### Remove all volumes

```docker volume rm $(docker volume ls -q)```

